Skip to content

コメント一覧(ファイル) ​

MCPツール
list_file_commentsList File Comments
レート制限
Default
スコープ
comments:read

ファイルのコメント一覧を取得します。

例 ​

bash
curl -X QUERY 'https://api.youvico.com/api/files/FX1234567890ABCD/comments' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "sort": { "type": "createdAt", "direction": "asc" } }'
json
{
  "data": [
    {
      "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6",
      "content": "Please tighten the logo safe area.",
      "anchor": 12000,
      "duration": 3000,
      "createdAt": "2026-04-10 08:00:00.482913",
      "updatedAt": "2026-04-10 08:05:12.118204",
      "deletedAt": null,
      "reply": {
        "count": 1,
        "lastCreatedAt": "2026-04-10 08:10:00.215374"
      },
      "attachments": [
        {
          "id": "CA1234567890ABCD",
          "name": "review-note.pdf",
          "mimeType": "application/pdf",
          "size": 1250000
        }
      ],
      "reactions": [
        {
          "type": "👍",
          "count": 2,
          "me": true
        }
      ],
      "parent": null,
      "author": {
        "id": "f6035d1a-29df-4d80-8d72-f1bbdddfb6ff",
        "name": "Jin Seo",
        "avatarUrl": "https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif"
      }
    }
  ],
  "page": {
    "next": null,
    "prev": "WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd"
  }
}

リクエスト ​

パス ​

idstringrequired
ファイルID

ボディ ​

sortobjectrequired
ソート順
sort.typestringrequired
ソート対象のフィールド

Possible values: createdAtanchor

Example: createdAt

sort.directionstringrequired
ソート方向

Possible values: ascdesc

Example: asc

keywordstring

2-255 characters

検索キーワード
usersarray

1-20 items

コメントの作成者
users[].idstringrequired

UUID

作成者ユーザーID
hasAnchorboolean
アンカーのあるコメントかどうか
nextstring

Maximum 2048 characters

page.next のカーソル
prevstring

Maximum 2048 characters

page.prev のカーソル

レスポンス ​

200 OK を返します。

dataarray
コメント
data[].idstring
コメントID

Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6

data[].contentstring?
コメント本文

Example: Please tighten the logo safe area.

data[].anchornumber?
動画ではミリ秒単位のタイムスタンプ、ドキュメントでは1から始まるページ番号

Example: 12000

data[].durationnumber?
anchor と同じ単位の継続時間

Example: 3000

data[].createdAtstring
コメント作成日時

Example: 2026-04-10 08:00:00.482913

data[].updatedAtstring
コメント最終更新日時

Example: 2026-04-10 08:05:12.118204

data[].deletedAtstring?
コメント削除日時

Example: null

data[].replyobject
返信の概要
data[].reply.countnumber
返信数

Example: 1

data[].reply.lastCreatedAtstring?
最新の返信の作成日時

Example: 2026-04-10 08:10:00.215374

data[].attachmentsarray
コメント添付ファイル
data[].attachments[].idstring
コメント添付ファイルID

Example: CA1234567890ABCD

data[].attachments[].namestring
添付ファイル名

Example: review-note.pdf

data[].attachments[].mimeTypestring?
添付ファイルのMIMEタイプ

Example: application/pdf

data[].attachments[].sizenumber
添付ファイルサイズ(バイト)

Example: 1250000

data[].reactionsarray
絵文字ごとのリアクション
data[].reactions[].typestring
絵文字

Example: 👍

data[].reactions[].countnumber
リアクション数

Example: 2

data[].reactions[].meboolean
自分がこのリアクションを追加したかどうか

Example: true

data[].parentobject?
親コメント

Example: null

data[].parent.idstring
親コメントID
data[].authorobject?
コメント作成者
data[].author.idstring
作成者ユーザーID

Example: f6035d1a-29df-4d80-8d72-f1bbdddfb6ff

data[].author.namestring
作成者表示名

Example: Jin Seo

data[].author.avatarUrlstring?
作成者アバターURL

Example: https://files.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif

pageobject
ページネーションカーソル
page.nextstring?
次のページのカーソル

Example: null

page.prevstring?
前のページのカーソル

Example: WyIyMDI2LTA0LTEwIDA4OjAwOjAwLjQ4MjkxMyIsIjJmYjRlNjBiLTBkOWEtNDZmMy1hNGRjLWNiOWZlOGFkOWJlNiJd